=== debian/changelog ===
ros-one-test-grpc (0.0.17-1noble.20251023.0118) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@gmail.com>  Thu, 23 Oct 2025 01:18:36 +0000

ros-one-test-grpc (0.0.17-0noble) noble; urgency=high

  * Allow users settings CXX standard (#63 <https://github.com/CogRob/catkin_grpc/issues/63>)
  * Exclude unsecure library from exported libraries (#62 <https://github.com/CogRob/catkin_grpc/issues/62>)
  * Fix bug in realpath (#61 <https://github.com/CogRob/catkin_grpc/issues/61>)
  * Depend on roscpp (#59 <https://github.com/CogRob/catkin_grpc/issues/59>)
  * Set the right version for test_grpc
  * Add CHANGELOG.rst for test_grpc
  * Add package to test grpc (#57 <https://github.com/CogRob/catkin_grpc/issues/57>)
    * Add package to test grpc
    * Enable Github Actions
    * support realpath on cmake <3.19
  * Contributors: Ryohei Ueda, Yuki Furuta
  * Add package to test grpc (#57 <https://github.com/CogRob/catkin_grpc/issues/57>)
    * Add package to test grpc
    * Enable Github Actions
    * support realpath on cmake <3.19
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@gmail.com>  Wed, 14 May 2025 00:00:00 -0000

ros-one-test-grpc (0.0.16-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Fri, 31 Jan 2025 00:00:00 -0000

ros-one-test-grpc (0.0.15-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Tue, 28 Jan 2025 00:00:00 -0000

ros-one-test-grpc (0.0.14-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Fri, 24 Jan 2025 00:00:00 -0000

ros-one-test-grpc (0.0.13-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Fri, 17 Jan 2025 00:00:00 -0000

ros-one-test-grpc (0.0.12-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Thu, 11 May 2023 00:00:00 -0000

ros-one-test-grpc (0.0.11-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Thu, 02 Jun 2022 00:00:00 -0000

ros-one-test-grpc (0.0.10-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Wed, 26 Sep 2018 00:00:00 -0000

ros-one-test-grpc (0.0.9-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Wed, 18 Apr 2018 23:33:00 -0000

ros-one-test-grpc (0.0.8-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Wed, 18 Apr 2018 23:07:00 -0000

ros-one-test-grpc (0.0.7-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Wed, 18 Apr 2018 18:13:00 -0000

ros-one-test-grpc (0.0.6-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Mon, 20 Nov 2017 00:00:00 -0000

ros-one-test-grpc (0.0.5-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Fri, 06 Oct 2017 00:00:00 -0000

ros-one-test-grpc (0.0.4-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Mon, 02 Oct 2017 00:00:00 -0000

ros-one-test-grpc (0.0.3-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Sat, 30 Sep 2017 00:00:00 -0000

ros-one-test-grpc (0.0.2-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Tue, 05 Sep 2017 00:00:00 -0000
