=== debian/control ===
Source: ros-one-test-grpc
Section: misc
Priority: optional
Maintainer: Yuki Furuta <furushchev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-grpc, ros-one-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-test-grpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-grpc, ros-one-roscpp
Description: A package for testing the grpc package
